<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class RequireHttp
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->secure()) {
            dd($request->secure());
            // Redirect to HTTP if the request is HTTPS
            return redirect()->to(str_replace('https://', 'http://', $request->fullUrl()));
        }

        return $next($request);
    }
}
